function f=f_cyc_block(image,img_l,img_r,dis_l,dis_r,index,weight)
blocksize=8;

if index==1
    [m,n,t]=size(image);
    k=n-floor(n/blocksize)*blocksize;
    img=image(:,k+1:n,:);
else
    img=image;
end

f0=blockvalue_size4_quar(img,4,4);%% blocksize=4, which achieves the best performance
f1=blockvalue_size4_new(img,blocksize);
f=[f0,f1];
end